Subject: bug#7146: (make-symbol "") issues

From: Chong Yidong <[email-masked]>
Date: Thu, 21 Jul 2011 15:25:32 -0400

Stefan Monnier <[email-masked]> writes:

>>> CommonLisp has a |....| syntax
>> I don't think it is a good idea to add a new special character, so ##
>> would still be my choice.
>
> Another approach is to follow the same idea as with "#:" ("#: is
> immediately followed by <sym> so if it's followed by something that's
> not appropriate it means <sym> is empty").
> I.e. "#N=" could be used for the empty interned symbol.

This is inconvenient to implement with the current print_object code,
and anyway #N= is not a good conceptual match with empty symbols.

I don't have any objection to using ##.